# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

#DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{11,12,13} )

inherit distutils-r1

DESCRIPTION="Importers framework for Beancount"
HOMEPAGE="https://github.com/beancount/beangulp"
SRC_URI="https://github.com/beancount/beangulp/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm64"

DEPEND="
	app-office/beancount
	dev-python/beautifulsoup4
	dev-python/chardet
	dev-python/click
	dev-python/deprecation
	dev-python/lxml
	dev-python/python-magic"
#petl
RDEPEND="${DEPEND}"
BDEPEND=""

# Because I have no idea...
RESTRICT="mirror test"

src_prepare() {
	eapply_user
	rm -rf "${WORKDIR}/${PF}/examples"
	rm -rf "${WORKDIR}/${PF}/tools"
}

